org.eclipse.jetty.servlet

## Class FilterHolder.Registration

- java.lang.Object
- - org.eclipse.jetty.servlet.Holder.HolderRegistration
  - - org.eclipse.jetty.servlet.FilterHolder.Registration

All Implemented Interfaces:
  javax.servlet.FilterRegistration, javax.servlet.FilterRegistration.Dynamic, javax.servlet.Registration, javax.servlet.Registration.Dynamic

Enclosing class:
  FilterHolder

    protected class FilterHolder.Registration
    extends Holder.HolderRegistration
    implements javax.servlet.FilterRegistration.Dynamic

### Nested Class Summary

### Nested classes/interfaces inherited from interface javax.servlet.FilterRegistration

`javax.servlet.FilterRegistration.Dynamic`

### Constructor Summary

Constructors
`protected` `FilterHolder.Registration()`

### Method Summary

Methods
`void` `addMappingForServletNames(EnumSet<javax.servlet.DispatcherType> dispatcherTypes, boolean isMatchAfter, String... servletNames)`
`void` `addMappingForUrlPatterns(EnumSet<javax.servlet.DispatcherType> dispatcherTypes, boolean isMatchAfter, String... urlPatterns)`
`Collection<String>` `getServletNameMappings()`
`Collection<String>` `getUrlPatternMappings()`

### Methods inherited from class org.eclipse.jetty.servlet.Holder.HolderRegistration

`getClassName, getInitParameter, getInitParameters, getName, setAsyncSupported, setDescription, setInitParameter, setInitParameters`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface javax.servlet.Registration.Dynamic

`setAsyncSupported`

### Methods inherited from interface javax.servlet.Registration

`getClassName, getInitParameter, getInitParameters, getName, setInitParameter, setInitParameters`

### Constructor Detail

#### FilterHolder.Registration

    protected FilterHolder.Registration()

### Method Detail

#### addMappingForServletNames

    public void addMappingForServletNames(EnumSet<javax.servlet.DispatcherType> dispatcherTypes,
                                 boolean isMatchAfter,
                                 String... servletNames)

Specified by:
  `addMappingForServletNames` in interface `javax.servlet.FilterRegistration`

#### addMappingForUrlPatterns

    public void addMappingForUrlPatterns(EnumSet<javax.servlet.DispatcherType> dispatcherTypes,
                                boolean isMatchAfter,
                                String... urlPatterns)

Specified by:
  `addMappingForUrlPatterns` in interface `javax.servlet.FilterRegistration`

#### getServletNameMappings

    public Collection<String> getServletNameMappings()

Specified by:
  `getServletNameMappings` in interface `javax.servlet.FilterRegistration`

#### getUrlPatternMappings

    public Collection<String> getUrlPatternMappings()

Specified by:
  `getUrlPatternMappings` in interface `javax.servlet.FilterRegistration`